Subject: [Class of 2014] Cake in the UA Office (W20 4th floor) in 7 minutes!

From: Jesse Sharps <[email-masked]>
Date: Mon, 5 Nov 2012 12:08:59 -0500

Hey guys,

Delicious, tasty, caaaake <http://web.mit.edu/2014/Public/DSC_9635.jpg> in
the UA office leftover from Celebrate!  Come eat it.  Located on the 4th
floor of the student center.  Nom nom nom.

Love, Council